Bug 1469759 - ini_config_augment: merge_flags detect behavior incorrect
ini_config_augment: merge_flags detect behavior incorrect
Status: ON_QA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ding-libs (Show other bugs)
7.4
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Michal Zidek
ipa-qe
https://pagure.io/SSSD/ding-libs/issu...
:
Depends On:
Blocks: 1458913
  Show dependency treegraph
 
Reported: 2017-07-11 15:25 EDT by Robbie Harwood
Modified: 2017-10-17 12:57 EDT (History)
5 users (show)

See Also:
Fixed In Version: ding-libs-0.6.1-28.el7
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robbie Harwood 2017-07-11 15:25:18 EDT
This happens when a config section is duplicated between a config file and a config directory (either with the same or different contents).

If ERROR/DETECT are set in merge_flags or collision_flags on ini_config_augment, error=17 is returned from ini_aug_apply, which causes the error_list to be discarded in ini_config_augment. When MERGE/PRESERVE/OVERWRITE are instead set as flags (on merge_flags and collision_flags in various combinations), error_list is empty as merging happens silently. Thus it is impossible to determine what the offending file or section is.
Comment 1 Jakub Hrozek 2017-07-11 16:43:48 EDT
Upstream ticket: https://bugzilla.redhat.com/show_bug.cgi?id=1469759
Comment 2 Jakub Hrozek 2017-07-11 16:44:23 EDT
(In reply to Jakub Hrozek from comment #1)
> Upstream ticket: https://bugzilla.redhat.com/show_bug.cgi?id=1469759

Well, of course not. Let's try this again, the upstream ticket link is https://pagure.io/SSSD/ding-libs/issue/3167
Comment 5 Michal Zidek 2017-08-10 06:20:57 EDT
I forgot to comment here, but the patches landed in upstream master yesterday:
- fd539954e68ae49e6670f49e3ff3300cac3e4739
- 3163a969bbcd10c4d9e48e191f978c6991ac01cd
- e322192d1711677e78b197915b1a12537a0e510b
Comment 6 Jakub Hrozek 2017-08-10 07:08:47 EDT
(In reply to Michal Zidek from comment #5)
> I forgot to comment here, but the patches landed in upstream master
> yesterday:
> - fd539954e68ae49e6670f49e3ff3300cac3e4739
> - 3163a969bbcd10c4d9e48e191f978c6991ac01cd
> - e322192d1711677e78b197915b1a12537a0e510b

Therefore marking as POST.
Comment 7 Robbie Harwood 2017-08-10 14:19:58 EDT
In fedora - ding-libs-0.6.0-33.fc27

Note You need to log in before you can comment on or make changes to this bug.